data.raw["assembling-machine"]["oil-refinery"].energy_source = {
    type = "heat",
    max_temperature = 100,
    specific_heat = "1W",
    max_transfer = "1W",
    connections = {{
        position = {2, -1},
        direction = defines.direction.east,
    }},
}
data.raw["assembling-machine"]["oil-refinery"].fluid_boxes = {
    {
        production_type = "input",
        volume = 1000,
        pipe_connections = {{flow_direction = "input", position = {2, -1}, direction = defines.direction.east}}
    },
    {
        production_type = "output",
        volume = 100,
        pipe_connections = {{flow_direction = "output", position = {0, 2}, direction = defines.direction.south}}
    },
    {
        production_type = "input",
        volume = 1000,
        pipe_connections = {{flow_direction = "input", position = {1, 2}, direction = defines.direction.south}}
    },
    {
        production_type = "output",
        volume = 100,
        pipe_connections = {{flow_direction = "output", position = {-1, 2}, direction = defines.direction.south}}
    },
    {
        production_type = "output",
        volume = 100,
        pipe_connections = {{flow_direction = "output", position = {-2, -1}, direction = defines.direction.west}}
    },
}